org.apache.cassandra.config

## Enum ColumnDefinition.Type

- java.lang.Object
- - java.lang.Enum<ColumnDefinition.Type>
  - - org.apache.cassandra.config.ColumnDefinition.Type

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ColumnDefinition.Type>

Enclosing class:
  ColumnDefinition

    public static enum ColumnDefinition.Type
    extends java.lang.Enum<ColumnDefinition.Type>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CLUSTERING_KEY`
`COMPACT_VALUE`
`PARTITION_KEY`
`REGULAR`
`STATIC`

### Method Summary

Methods
`static ColumnDefinition.Type` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ColumnDefinition.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PARTITION_KEY

    public static final ColumnDefinition.Type PARTITION_KEY

#### CLUSTERING_KEY

    public static final ColumnDefinition.Type CLUSTERING_KEY

#### REGULAR

    public static final ColumnDefinition.Type REGULAR

#### COMPACT_VALUE

    public static final ColumnDefinition.Type COMPACT_VALUE

#### STATIC

    public static final ColumnDefinition.Type STATIC

### Method Detail

#### values

    public static ColumnDefinition.Type[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ColumnDefinition.Type c : ColumnDefinition.Type.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ColumnDefinition.Type valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null